import { z } from "zod"

export const UpdateBuildAddressSchema = z.object({
    buildId: z.string(),
    areaName: z.string(),
    areaCode: z.string(),
    areaType: z.string(),
    areaDirection: z.string(),
    areaGrossSize: z.number(),
    areaNetSize: z.number(),
    width: z.number(),
    size: z.number(),
    expiryStarts: z.string().optional(),
    expiryEnds: z.string().optional()
});

export type UpdateBuildAddress = z.infer<typeof UpdateBuildAddressSchema>;
